From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/neovim-python-client/
Date: Sat, 27 May 2017 11:31:40 +0000 (UTC) [thread overview]
Message-ID: <1495884693.18f36f256af5771a53d7d07d4d84939e0e64fbaf.mgorny@gentoo> (raw)
commit: 18f36f256af5771a53d7d07d4d84939e0e64fbaf
Author: Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Sun May 7 18:15:30 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 27 11:31:33 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18f36f25
dev-python/neovim-python-client: add python3_6, enable tests
Closes: https://github.com/gentoo/gentoo/pull/4266
.../neovim-python-client-0.1.13.ebuild | 18 +++++++++++++++---
1 file changed, 15 insertions(+), 3 deletions(-)
diff --git a/dev-python/neovim-python-client/neovim-python-client-0.1.13.ebuild b/dev-python/neovim-python-client/neovim-python-client-0.1.13.ebuild
index 5a547eb581e..72d1f13ef3f 100644
--- a/dev-python/neovim-python-client/neovim-python-client-0.1.13.ebuild
+++ b/dev-python/neovim-python-client/neovim-python-client-0.1.13.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
inherit distutils-r1
@@ -14,16 +14,28 @@ SRC_URI="https://github.com/neovim/python-client/archive/${PV}.tar.gz -> ${P}.ta
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
+IUSE="test"
-DEPEND="
+COMMON_DEPEND="
>=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
virtual/python-greenlet[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/trollius[${PYTHON_USEDEP}]' python2_7)
"
RDEPEND="
- ${DEPEND}
+ ${COMMON_DEPEND}
>=app-editors/neovim-0.1.6
"
+DEPEND="
+ ${COMMON_DEPEND}
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
S="${WORKDIR}/python-client-${PV}"
+
+python_test() {
+ nosetests -d -v || die
+}
next reply other threads:[~2017-05-27 11:31 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-05-27 11:31 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-02-05 6:57 [gentoo-commits] repo/gentoo:master commit in: dev-python/neovim-python-client/ Matt Turner
2019-11-29 0:17 Patrick McLean
2019-11-28 20:08 Patrick McLean
2019-07-01 0:33 Mike Gilbert
2019-04-20 19:01 Mikle Kolyada
2019-03-27 23:56 Patrice Clement
2019-03-27 23:56 Patrice Clement
2018-12-07 0:25 Ole Reifschneider
2018-12-07 0:25 Ole Reifschneider
2018-06-11 20:50 Ole Reifschneider
2018-03-19 22:15 Patrice Clement
2018-03-09 17:59 Matt Thode
2018-03-05 22:08 Patrice Clement
2018-03-05 22:08 Patrice Clement
2018-03-05 22:08 Patrice Clement
2018-01-07 11:30 Patrice Clement
2018-01-05 15:02 Patrice Clement
2018-01-05 13:30 Patrice Clement
2017-05-02 16:41 Michał Górny
2017-03-16 23:58 Patrice Clement
2017-03-16 23:03 Patrice Clement
2017-01-04 12:34 David Seifert
2016-11-20 15:10 Ole Reifschneider
2016-06-13 20:20 Ole Reifschneider
2016-04-30 11:48 Ole Reifschneider
2016-04-08 9:26 Ole Reifschneider
2016-03-22 8:06 Ole Reifschneider
2016-02-27 14:37 Ole Reifschneider
2015-12-10 23:04 Ole Reifschneider
2015-11-10 15:14 Justin Lecher
2015-10-25 19:38 Ole Reifschneider
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1495884693.18f36f256af5771a53d7d07d4d84939e0e64fbaf.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox